Gst::FakeSrc Class Reference
gstreamermm Plugins

A Wrapper for the fakesrc plugin. More...

Inheritance diagram for Gst::FakeSrc:
[legend]
Collaboration diagram for Gst::FakeSrc:
[legend]

## Public Member Functions

virtual | ~FakeSrc ()
GstFakeSrc* | gobj ()
| Provides access to the underlying C GObject. More...
const GstFakeSrc* | gobj () const
| Provides access to the underlying C GObject. More...
GstFakeSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::PropertyProxy < Gst::FakeSrcDataType > | property_data ()
| Data allocation method. More...
Glib::PropertyProxy_ReadOnly < Gst::FakeSrcDataType > | property_data () const
| Data allocation method. More...
Glib::PropertyProxy < Gst::FakeSrcSizeType > | property_sizetype ()
| How to determine buffer sizes. More...
Glib::PropertyProxy_ReadOnly < Gst::FakeSrcSizeType > | property_sizetype () const
| How to determine buffer sizes. More...
Glib::PropertyProxy< int > | property_sizemin ()
| Minimum buffer size. More...
Glib::PropertyProxy_ReadOnly< int > | property_sizemin () const
| Minimum buffer size. More...
Glib::PropertyProxy< int > | property_sizemax ()
| Maximum buffer size. More...
Glib::PropertyProxy_ReadOnly< int > | property_sizemax () const
| Maximum buffer size. More...
Glib::PropertyProxy < Gst::FakeSrcFillType > | property_filltype ()
| How to fill the buffer, if at all. More...
Glib::PropertyProxy_ReadOnly < Gst::FakeSrcFillType > | property_filltype () const
| How to fill the buffer, if at all. More...
Glib::PropertyProxy< int > | property_datarate ()
| Timestamps buffers with number of bytes per second (0 = none). More...
Glib::PropertyProxy_ReadOnly< int > | property_datarate () const
| Timestamps buffers with number of bytes per second (0 = none). More...
Glib::PropertyProxy< bool > | property_sync ()
| Sync to the clock to the datarate. More...
Glib::PropertyProxy_ReadOnly < bool > | property_sync () const
| Sync to the clock to the datarate. More...
Glib::PropertyProxy < Glib::ustring > | property_pattern ()
| pattern. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_pattern () const
| pattern. More...
Glib::PropertyProxy< bool > | property_signal_handoffs ()
| Send a signal before pushing the buffer. More...
Glib::PropertyProxy_ReadOnly < bool > | property_signal_handoffs () const
| Send a signal before pushing the buffer. More...
Glib::PropertyProxy< bool > | property_silent ()
| Don't produce last_message events. More...
Glib::PropertyProxy_ReadOnly < bool > | property_silent () const
| Don't produce last_message events. More...
Glib::PropertyProxy< bool > | property_dump ()
| Dump buffer contents to stdout. More...
Glib::PropertyProxy_ReadOnly < bool > | property_dump () const
| Dump buffer contents to stdout. More...
Glib::PropertyProxy< int > | property_parentsize ()
| Size of parent buffer for sub-buffered allocation. More...
Glib::PropertyProxy_ReadOnly< int > | property_parentsize () const
| Size of parent buffer for sub-buffered allocation. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_last_message () const
| The last status message. More...
Glib::PropertyProxy< bool > | property_can_activate_pull ()
| Can activate in pull mode. More...
Glib::PropertyProxy_ReadOnly < bool > | property_can_activate_pull () const
| Can activate in pull mode. More...
Glib::PropertyProxy< bool > | property_can_activate_push ()
| Can activate in push mode. More...
Glib::PropertyProxy_ReadOnly < bool > | property_can_activate_push () const
| Can activate in push mode. More...
Glib::PropertyProxy< bool > | property_is_live ()
| True if the element cannot produce data in PAUSED. More...
Glib::PropertyProxy_ReadOnly < bool > | property_is_live () const
| True if the element cannot produce data in PAUSED. More...
Glib::PropertyProxy< Gst::Format > | property_format ()
| The format of the segment events. More...
Glib::PropertyProxy_ReadOnly < Gst::Format > | property_format () const
| The format of the segment events. More...
Glib::SignalProxy2< void, const Glib::RefPtr < Gst::Buffer >&, const Glib::RefPtr< Gst::Pad >& > | signal_handoff ()
Public Member Functions inherited from Gst::BaseSrc
virtual | ~BaseSrc ()
GstBaseSrc* | gobj ()
| Provides access to the underlying C GObject. More...
const GstBaseSrc* | gobj () const
| Provides access to the underlying C GObject. More...
GstBaseSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
FlowReturn | wait_playing ()
| If the Gst::BaseSrcClass.create() method performs its own synchronisation against the clock it must unblock when going from PLAYING to the PAUSED state and call this method before continuing to produce the remaining data. More...
bool | is_live () const
| Check if an element is in live mode. More...
void | set_live (bool live)
| If the element listens to a live source, live should be set to `true`. More...
void | set_format (Format format)
| Sets the default format of the source. More...
bool | query_latency (bool& live, ClockTime& min_latency, ClockTime& max_latency) const
| Query the source for the latency parameters. More...
guint | get_blocksize () const
| Get the number of bytes that src will push out with each buffer. More...
void | set_blocksize (guint blocksize)
| Set the number of bytes that src will push out with each buffer. More...
bool | get_do_timestamp () const
| Query if src timestamps outgoing buffers based on the current running_time. More...
void | set_do_timestamp (bool timestamp)
| Configure src to automatically timestamp outgoing buffers based on the current running_time of the pipeline. More...
bool | new_seamless_segment (gint64 start, gint64 stop, gint64 position)
| Prepare a new seamless segment for emission downstream. More...
Glib::RefPtr< Gst::Pad > | get_src_pad ()
| Gets the source Gst::Pad object of the element. More...
Glib::RefPtr< const Gst::Pad > | get_src_pad () const
Glib::PropertyProxy< gulong > | property_blocksize ()
| Size in bytes to read per buffer (-1 = default). More...
Glib::PropertyProxy_ReadOnly < gulong > | property_blocksize () const
| Size in bytes to read per buffer (-1 = default). More...
Glib::PropertyProxy< bool > | property_do_timestamp ()
| Apply current stream time to buffers. More...
Glib::PropertyProxy_ReadOnly < bool > | property_do_timestamp () const
| Apply current stream time to buffers. More...
Glib::PropertyProxy< int > | property_num_buffers ()
| Number of buffers to output before sending EOS (-1 = unlimited). More...
Glib::PropertyProxy_ReadOnly< int > | property_num_buffers () const
| Number of buffers to output before sending EOS (-1 = unlimited). More...
Glib::PropertyProxy< bool > | property_typefind ()
| Run typefind before negotiating. More...
Glib::PropertyProxy_ReadOnly < bool > | property_typefind () const
| Run typefind before negotiating. More...
virtual Glib::RefPtr< Gst::Caps > | get_caps_vfunc (Glib::RefPtr< Gst::Caps > caps) const
| Called to get the caps to report. More...
virtual bool | set_caps_vfunc (const Glib::RefPtr< Gst::Caps >& caps)
| Notify subclass of changed output caps. More...
virtual bool | negotiate_vfunc ()
| Negotiated the caps with the peer. More...
virtual bool | stop_vfunc ()
| Stop processing. More...
virtual bool | start_vfunc ()
| Start processing. More...
virtual void | get_times_vfunc (const Glib::RefPtr< Gst::Buffer >& buffer, ClockTime& start, ClockTime&end) const
| Given a buffer, return the start and stop time when it should be pushed out. More...
virtual bool | get_size_vfunc (guint64&size) const
| Return the total size of the resource, in the configured format. More...
virtual bool | is_seekable_vfunc () const
| Check if the source can seek. More...
virtual bool | unlock_vfunc ()
| Unlock any pending access to the resource. More...
virtual bool | event_vfunc (const Glib::RefPtr< Gst::Event >& event)
| Override this to implement custom event handling. More...
virtual FlowReturn | create_vfunc (guint64 offset, guint size, Glib::RefPtr< Gst::Buffer >& buffer)
virtual bool | do_seek_vfunc (Gst::Segment& segment)
| Perform seeking on the resource to the indicated segment. More...
virtual Glib::RefPtr< Gst::Caps > | fixate_vfunc (const Glib::RefPtr< Gst::Caps >& caps)
| Handle a requested query. More...
virtual bool | unlock_stop_vfunc ()
| Clear the previous unlock request. More...
virtual bool | prepare_seek_segment_vfunc (const Glib::RefPtr< Gst::Event >&seek, Gst::Segment& segment)
| Prepare the Gst::Segment that will be passed to the do_seek_vfunc() vmethod for executing a seek request. More...
Public Member Functions inherited from Gst::Element
virtual | ~Element ()
GstElement* | gobj ()
| Provides access to the underlying C GObject. More...
const GstElement* | gobj () const
| Provides access to the underlying C GObject. More...
GstElement* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Element > | link (const Glib::RefPtr< Gst::Element >& dest)
| Links this source element to the element. More...
bool | add_pad (const Glib::RefPtr< Gst::Pad >& pad)
| Adds a pad (link point) to element. More...
void | create_all_pads ()
| Creates a pad for each pad template that is always available. More...
Glib::RefPtr< Gst::Pad > | create_compatible_pad (const Glib::RefPtr< const Gst::Pad >& pad, const Glib::RefPtr< const Gst::Caps >& caps)
| Looks for an unlinked pad to which the given pad can link. More...
Glib::RefPtr< Gst::PadTemplate > | get_compatible_pad_template (const Glib::RefPtr< const Gst::PadTemplate >& compattempl)
| Retrieves a pad template from element that is compatible with compattempl. More...
Glib::RefPtr< const Gst::PadTemplate > | get_compatible_pad_template (const Glib::RefPtr< const Gst::PadTemplate >& compattempl) const
| Retrieves a pad template from element that is compatible with compattempl. More...
Glib::RefPtr< Gst::Pad > | get_request_pad (const Glib::ustring& name)
| Retrieves a pad from the element by name (e.g. "src_\\%d"). More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ, const Glib::ustring& name, const Glib::RefPtr< const Gst::Caps >& caps)
| Retrieves a request pad from the element according to the provided template. More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ, const Glib::ustring& name)
| A request_pad() convenience overload. More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ, const Glib::RefPtr< const Gst::Caps >& caps)
| A request_pad() convenience overload. More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ)
| A request_pad() convenience overload. More...
Glib::RefPtr< Gst::Pad > | get_static_pad (const Glib::ustring& name)
| Retrieves a pad from element by name. More...
Glib::RefPtr< const Gst::Pad > | get_static_pad (const Glib::ustring& name) const
| Retrieves a pad from element by name. More...
void | no_more_pads ()
| Use this function to signal that the element does not expect any more pads to show up in the current pipeline. More...
void | release_request_pad (const Glib::RefPtr< Gst::Pad >& pad)
| Makes the element free the previously requested pad as obtained with get_request_pad(). More...
bool | remove_pad (const Glib::RefPtr< Gst::Pad >& pad)
| Removes pad from element. More...
Gst::Iterator< Gst::Pad > | iterate_pads ()
| Retrieves an iterator of element's pads. More...
Gst::Iterator< const Gst::Pad > | iterate_pads () const
| Retrieves an iterator of element's pads. More...
Gst::Iterator< Gst::Pad > | iterate_sink_pads ()
| Retrieves an iterator of element's sink pads. More...
Gst::Iterator< const Gst::Pad > | iterate_sink_pads () const
| Retrieves an iterator of element's sink pads. More...
Gst::Iterator< Gst::Pad > | iterate_src_pads ()
| Retrieves an iterator of element's source pads. More...
Gst::Iterator< const Gst::Pad > | iterate_src_pads () const
| Retrieves an iterator of element's source pads. More...
void | unlink (const Glib::RefPtr< Gst::Element >& dest)
| Unlinks all source pads of the source element with all sink pads of the sink element to which they are linked. More...
bool | link_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname)
| Links the two named pads of the source and destination elements. More...
void | unlink_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname)
| Unlinks the two named pads of the source and destination elements. More...
bool | link_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname, const Glib::RefPtr< Gst::Caps >& filter)
| Links the two named pads of the source and destination elements. More...
bool | link_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname, PadLinkCheck flags)
| Links the two named pads of the source and destination elements. More...
Glib::RefPtr< Gst::Element > | link (const Glib::RefPtr< Gst::Element >& dest, const Glib::RefPtr< Gst::Caps >& filter)
| Links src to dest using the given caps as filtercaps. More...
void | set_base_time (ClockTime time)
| Set the base time of an element. More...
ClockTime | get_base_time () const
| Returns the base time of the element. More...
void | set_start_time (Gst::ClockTime time)
| Set the start time of an element. More...
Gst::ClockTime | get_start_time () const
| Returns the start time of the element. More...
void | set_bus (const Glib::RefPtr< Gst::Bus >& bus)
| Sets the bus of the element. More...
Glib::RefPtr< Gst::Bus > | get_bus ()
| Returns the bus of the element. More...
Glib::RefPtr< const Gst::Bus > | get_bus () const
| Returns the bus of the element. More...
Glib::RefPtr< Gst::ElementFactory > | get_factory ()
| Retrieves the factory that was used to create this element. More...
Glib::RefPtr< const Gst::ElementFactory > | get_factory () const
| Retrieves the factory that was used to create this element. More...
bool | set_clock (const Glib::RefPtr< Gst::Clock >& clock)
| Sets the clock for the element. More...
Glib::RefPtr< Gst::Clock > | get_clock ()
| Gets the currently configured clock of the element. More...
Glib::RefPtr< const Gst::Clock > | get_clock () const
| Gets the currently configured clock of the element. More...
Glib::RefPtr< Gst::Clock > | provide_clock ()
| Get the clock provided by the given element. More...
Glib::RefPtr< const Gst::Clock > | provide_clock () const
| Get the clock provided by the given element. More...
StateChangeReturn | set_state (State state)
| Sets the state of the element. More...
StateChangeReturn | get_state (State& state, State& pending, ClockTime timeout) const
| Gets the state of the element. More...
bool | set_locked_state (gboolean locked_state)
| Locks the state of an element, so state changes of the parent don't affect this element anymore. More...
bool | is_locked_state () const
| Checks if the state of an element is locked. More...
void | abort_state ()
| Abort the state change of the element. More...
StateChangeReturn | continue_state (StateChangeReturn ret)
| Commit the state change of the element and proceed to the next pending state if any. More...
void | lost_state ()
| Brings the element to the lost state. More...
bool | sync_state_with_parent ()
| Tries to change the state of the element to the same as its parent. More...
StateChangeReturn | change_state (StateChange transition)
| Perform transition on element. More...
void | post_message (int code, int line, MessageType type=Gst::MESSAGE_INFO, const Glib::QueryQuark& domain=get_core_error_quark(), const Glib::ustring& text=Glib::ustring(), const Glib::ustring& debug=Glib::ustring(), const Glib::ustring& file=Glib::ustring(), const Glib::ustring& function=Glib::ustring())
| Post an error, warning or info message on the bus from inside an element. More...
bool | post_message (const Glib::RefPtr< Gst::Message >& message)
| Post a message on the element's Gst::Bus. More...
bool | query (const Glib::RefPtr< Gst::Query >& query) const
| Performs a query on the given element. More...
bool | query_convert (Gst::Format src_format, gint64 src_val, Format dest_format, gint64& dest_val) const
| Queries an element to convert src_val in src_format to dest_format. More...
bool | query_position (Gst::Format format, gint64& cur) const
| Queries an element for the stream position. More...
bool | query_position (Gst::Format format) const
| Queries an element for the stream position. More...
bool | query_duration (Gst::Format format, gint64& duration) const
| Queries an element for the total stream duration. More...
bool | query_duration (Gst::Format format) const
| Queries an element for the total stream duration. More...
bool | seek (Format format, SeekFlags seek_flags, gint64 seek_pos)
| Simple API to perform a seek on the given element, meaning it just seeks to the given position relative to the start of the stream. More...
bool | seek (double rate, Format format, SeekFlags flags, SeekType cur_type, gint64 cur, SeekType stop_type, gint64 stop)
| Sends a seek event to an element. More...
bool | send_event (const Glib::RefPtr< Gst::Event >& event)
| Sends an event to an element. More...
Glib::SignalProxy0< void > | signal_no_more_pads ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gst::Pad >& > | signal_pad_added ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gst::Pad >& > | signal_pad_removed ()
virtual void | release_pad_vfunc (const Glib::RefPtr< Gst::Pad >& pad)
| Called when a request pad is to be released. More...
virtual Glib::RefPtr< Gst::Pad > | request_new_pad_vfunc (Glib::RefPtr< Gst::PadTemplate > templ, const Glib::ustring& name, const Glib::RefPtr< const Gst::Caps >& caps)
| Called when a new pad is requested. More...
virtual StateChangeReturn | get_state_vfunc (State& state, State& pending, ClockTime timeout) const
| Get the state of the element. More...
virtual StateChangeReturn | set_state_vfunc (State state)
| Set a new state on the element. More...
virtual StateChangeReturn | change_state_vfunc (StateChange transition)
| Called by set_state to perform an incremental state change. More...
virtual void | set_bus_vfunc (const Glib::RefPtr< Gst::Bus >& bus)
| Set a Gst::Bus on the element. More...
virtual Glib::RefPtr< Gst::Clock > | provide_clock_vfunc ()
| Gets the Gst::Clock provided by the element. More...
virtual bool | set_clock_vfunc (const Glib::RefPtr< Gst::Clock >& clock)
| Set the Gst::Clock on the element. More...
virtual bool | send_event_vfunc (const Glib::RefPtr< Gst::Event >& event)
| Send a Gst::Event to the element. More...
virtual bool | query_vfunc (const Glib::RefPtr< Gst::Query >&query) const
| Perform a Gst::Query on the element. More...
Glib::RefPtr< Gst::PadTemplate > | get_pad_template (const Glib::ustring& factory_name) const
template<typename T >
Glib::RefPtr< Gst::Element > | property (const Glib::ustring& name, const T& value)
| Sets specified property. More...
Public Member Functions inherited from Gst::Object
virtual | ~Object ()
GstObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GstObject* | gobj () const
| Provides access to the underlying C GObject. More...
GstObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
bool | is_element () const
bool | is_element_factory () const
bool | is_pad () const
bool | is_pad_template () const
bool | is_bin () const
guint32 | get_flags () const
| Returns the entire set of flags for the object. More...
bool | set_name (const Glib::ustring& name)
| Sets the name of object, or gives object a guaranteed unique name (if name is `0`). More...
Glib::ustring | get_name () const
| Returns a copy of the name of object. More...
bool | set_parent (const Glib::RefPtr< Gst::Object >& parent)
| Sets the parent of object to parent. More...
Glib::RefPtr< Gst::Object > | get_parent ()
| Returns the parent of object. More...
Glib::RefPtr< const Gst::Object > | get_parent () const
| Returns the parent of object. More...
void | unparent ()
| Clear the parent of object, removing the associated reference. More...
bool | has_ancestor (const Glib::RefPtr< const Gst::Object >& ancestor) const
| Check if object has an ancestor ancestor somewhere up in the hierarchy. More...
Glib::ustring | get_path_string ()
| Generates a string describing the path of object in the object hierarchy. More...
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The name of the object. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the object. More...
Glib::SignalProxy2< void, const Glib::RefPtr< Object > &, GParamSpec* > | signal_deep_notify ()

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< FakeSrc > | create ()
| Creates a new fakesrc plugin with a unique name. More...
static Glib::RefPtr< FakeSrc > | create (const Glib::ustring& name)
| Creates a new fakesrc plugin with the given name. More...
Static Public Member Functions inherited from Gst::BaseSrc
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gst::Element
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gst::Object
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static bool | check_uniqueness (const Glib::ListHandle< const Gst::Object >& list, const Glib::ustring& name)
| Checks to see if there is any object named name in list. More...

## Protected Member Functions

| FakeSrc ()
| FakeSrc (const Glib::ustring& name)
Protected Member Functions inherited from Gst::Element
virtual void | on_no_more_pads ()
| This is a default handler for the signal signal_no_more_pads(). More...
virtual void | on_pad_added (const Glib::RefPtr< Gst::Pad >& new_pad)
| This is a default handler for the signal signal_pad_added(). More...
virtual void | on_pad_removed (const Glib::RefPtr< Gst::Pad >& old_pad)
| This is a default handler for the signal signal_pad_removed(). More...
Protected Member Functions inherited from Gst::Object
virtual void | on_deep_notify (const Glib::RefPtr< Object >& prop_object, GParamSpec* prop)
| This is a default handler for the signal signal_deep_notify(). More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gst::FakeSrc > | wrap (GstFakeSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::BaseSrc
Glib::RefPtr< Gst::BaseSrc > | wrap (GstBaseSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Element
Glib::RefPtr< Gst::Element > | wrap (GstElement* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Object
Glib::RefPtr< Gst::Object > | wrap (GstObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A Wrapper for the fakesrc plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::FakeSrc::~FakeSrc | ( |  | ) |

virtual

Gst::FakeSrc::FakeSrc | ( |  | ) |

protected

Gst::FakeSrc::FakeSrc | ( | const Glib::ustring & | name | ) |

explicit protected

## Member Function Documentation

static Glib::RefPtr<FakeSrc> Gst::FakeSrc::create | ( |  | ) |

static

Creates a new fakesrc plugin with a unique name.

static Glib::RefPtr<FakeSrc> Gst::FakeSrc::create | ( | const Glib::ustring & | name | ) |

static

Creates a new fakesrc plugin with the given name.

static GType Gst::FakeSrc::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GstFakeSrc* Gst::FakeSrc::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GstFakeSrc* Gst::FakeSrc::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GstFakeSrc* Gst::FakeSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy< bool > Gst::FakeSrc::property_can_activate_pull | ( |  | ) |

Can activate in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::FakeSrc::property_can_activate_pull | ( |  | ) | const

Can activate in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::FakeSrc::property_can_activate_push | ( |  | ) |

Can activate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::FakeSrc::property_can_activate_push | ( |  | ) | const

Can activate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::FakeSrcDataType > Gst::FakeSrc::property_data | ( |  | ) |

Data allocation method.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::FakeSrcDataType > Gst::FakeSrc::property_data | ( |  | ) | const

Data allocation method.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::FakeSrc::property_datarate | ( |  | ) |

Timestamps buffers with number of bytes per second (0 = none).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::FakeSrc::property_datarate | ( |  | ) | const

Timestamps buffers with number of bytes per second (0 = none).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::FakeSrc::property_dump | ( |  | ) |

Dump buffer contents to stdout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::FakeSrc::property_dump | ( |  | ) | const

Dump buffer contents to stdout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::FakeSrcFillType > Gst::FakeSrc::property_filltype | ( |  | ) |

How to fill the buffer, if at all.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::FakeSrcFillType > Gst::FakeSrc::property_filltype | ( |  | ) | const

How to fill the buffer, if at all.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::Format > Gst::FakeSrc::property_format | ( |  | ) |

The format of the segment events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::Format > Gst::FakeSrc::property_format | ( |  | ) | const

The format of the segment events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::FakeSrc::property_is_live | ( |  | ) |

True if the element cannot produce data in PAUSED.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::FakeSrc::property_is_live | ( |  | ) | const

True if the element cannot produce data in PAUSED.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::FakeSrc::property_last_message | ( |  | ) | const

The last status message.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::FakeSrc::property_parentsize | ( |  | ) |

Size of parent buffer for sub-buffered allocation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::FakeSrc::property_parentsize | ( |  | ) | const

Size of parent buffer for sub-buffered allocation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::FakeSrc::property_pattern | ( |  | ) |

pattern.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::FakeSrc::property_pattern | ( |  | ) | const

pattern.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::FakeSrc::property_signal_handoffs | ( |  | ) |

Send a signal before pushing the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::FakeSrc::property_signal_handoffs | ( |  | ) | const

Send a signal before pushing the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::FakeSrc::property_silent | ( |  | ) |

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::FakeSrc::property_silent | ( |  | ) | const

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::FakeSrc::property_sizemax | ( |  | ) |

Maximum buffer size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::FakeSrc::property_sizemax | ( |  | ) | const

Maximum buffer size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::FakeSrc::property_sizemin | ( |  | ) |

Minimum buffer size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::FakeSrc::property_sizemin | ( |  | ) | const

Minimum buffer size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::FakeSrcSizeType > Gst::FakeSrc::property_sizetype | ( |  | ) |

How to determine buffer sizes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::FakeSrcSizeType > Gst::FakeSrc::property_sizetype | ( |  | ) | const

How to determine buffer sizes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::FakeSrc::property_sync | ( |  | ) |

Sync to the clock to the datarate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::FakeSrc::property_sync | ( |  | ) | const

Sync to the clock to the datarate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::SignalProxy2< void,const Glib::RefPtr<Gst::Buffer>&,const Glib::RefPtr<Gst::Pad>& > Gst::FakeSrc::signal_handoff | ( |  | ) |

Slot Prototype:
  `void on_my_handoff(const Glib::RefPtr<Gst::Buffer>& arg0, const Glib::RefPtr<Gst::Pad>& arg1)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::FakeSrc > wrap | ( | GstFakeSrc * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/fakesrc.h